
QGIS Application - Bug report #5706

"Show selected only"

2012-06-01 04:47 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:1.7.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 15231

Description

I open an attribute table and perform a search: "Look for n in COLUMNNAME" -> Search.

Results are selected and I press "Show selected only". The attribute table now only shows the results.

I then perform a new search for a new term. However the attribute table doesn't change. I have to deselect "Show selected only" then

re-select it to get it to show the new results. It should change automatically.

History

#1 - 2012-09-04 12:09 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#2 - 2012-10-08 07:50 PM - Alister Hood

This can probably be closed as a "Duplicate" of #2065.

#3 - 2012-10-09 02:05 AM - Jonathan Moules

You're right, it does look the same, however in that report it is triggered on the map canvas. In my report its done purely from the search within the attribute

table.

When checking that its resolved, it'll probably be worth confirming both facets of this issue have been fixed.

#4 - 2013-09-22 01:54 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

In QGIS 2.0 it works as expected.
